SegmentInfo (CMDB Model API)
Keywords: com.collation.platform.model.util.SegmentInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class SegmentInfo

    java.lang.Object
      com.collation.platform.model.util.SegmentInfo

    public class SegmentInfo

extends java.lang.Object

Constructor Summary
`SegmentInfo()`

Method Summary
`java.lang.String` | `getBIDI5CharFormat()` The function is used to determine the BIDI fromat in the foramt of 5 chars.
`int[]` | `getCharTypeAr()` The function is used to get the array that contains the type of the character in the string saved in the class
`boolean` | `getHasArabicNum()` The function is used to get if the strings that has arabic number
`boolean` | `getHasenglishNum()` The function is used to get if the strings that has english number
`int` | `getNumberType()` The function is used to get the numbers type arabic 0 , english 1
`int` | `getOrientation()` The function is used to return the orientation LTR or RTL.
`java.lang.String` | `getString()` The function is used to get the string.
`int` | `getType()` The function is used to return the type IMPLICIT or VISUAL.
`boolean` | `isArabic()` The function is used to get the language if arabic.
`boolean` | `isEnglish()` The function is used to get the language if arabic.
`boolean` | `isShaped()` The function is used to get the type of shaping Shaped -> true , not Shaped ->flase
`int` | `isSwappedOn()` The function is used to get the type of swapping swap on -> true, swap off ->flase
`void` | `setCharType(int[] charTypeAr)` The function is used to store the type of each char .
`void` | `setHasArabicNum(boolean has)` The function sets hasArabicNum.
`void` | `setHasEnglishNum(boolean has)` The function sets hasEnglishNum.
`void` | `setLang(boolean isArabic, boolean isEnglish, boolean isUnknowCodePage)` The function is used to set the language.
`void` | `setNumberType(int numberType)` The function is used to set the numbers type arabic 0 , english 1
`void` | `setOrientation(int orientation)` The function is used to set the orientation LTR or RTL.
`void` | `setShaped(boolean Shaped)` The function is used to set the type of shaping Shaped -> true , not Shaped ->flase
`void` | `setString(java.lang.String text)` The function is used to set the string
`void` | `setSwapped(int swap)` The function is used to set the type of swapping swap on -> true, swap off ->flase
`void` | `setType(int type)` The function is used to set the type IMPLICIT or VISUAL.
`java.lang.String` | `toString()` The function overrides the method of the toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SegmentInfo

    public SegmentInfo()

Method Detail

### setString

    public void setString(java.lang.String text)

  The function is used to set the string

### setCharType

    public void setCharType(int[] charTypeAr)

  The function is used to store the type of each char .

### getCharTypeAr

    public int[] getCharTypeAr()

  The function is used to get the array that contains the type of the character in the string saved in the class

### getString

    public java.lang.String getString()

  The function is used to get the string.

### getType

    public int getType()

  The function is used to return the type IMPLICIT or VISUAL.

### setType

    public void setType(int type)

  The function is used to set the type IMPLICIT or VISUAL.

### getOrientation

    public int getOrientation()

  The function is used to return the orientation LTR or RTL.

### setOrientation

    public void setOrientation(int orientation)

  The function is used to set the orientation LTR or RTL.

### isArabic

    public boolean isArabic()

  The function is used to get the language if arabic.

### isEnglish

    public boolean isEnglish()

  The function is used to get the language if arabic.

### setHasArabicNum

    public void setHasArabicNum(boolean has)

  The function sets hasArabicNum. it takes boolean, true if the srings has arabic number, false if it has not.

### setHasEnglishNum

    public void setHasEnglishNum(boolean has)

  The function sets hasEnglishNum. it takes boolean, true if the srings has english number, false if it has not

### getHasArabicNum

    public boolean getHasArabicNum()

  The function is used to get if the strings that has arabic number

### getHasenglishNum

    public boolean getHasenglishNum()

  The function is used to get if the strings that has english number

### setLang

    public void setLang(boolean isArabic,
                        boolean isEnglish,
                        boolean isUnknowCodePage)

  The function is used to set the language.

### isSwappedOn

    public int isSwappedOn()

  The function is used to get the type of swapping swap on -> true, swap off ->flase

### setSwapped

    public void setSwapped(int swap)

  The function is used to set the type of swapping swap on -> true, swap off ->flase

### isShaped

    public boolean isShaped()

  The function is used to get the type of shaping Shaped -> true , not Shaped ->flase

### setShaped

    public void setShaped(boolean Shaped)

  The function is used to set the type of shaping Shaped -> true , not Shaped ->flase

### setNumberType

    public void setNumberType(int numberType)

  The function is used to set the numbers type arabic 0 , english 1

### getNumberType

    public int getNumberType()

  The function is used to get the numbers type arabic 0 , english 1

### toString

    public java.lang.String toString()

  The function overrides the method of the toString

  Overrides:
    `toString` in class `java.lang.Object`

### getBIDI5CharFormat

    public java.lang.String getBIDI5CharFormat()

  The function is used to determine the BIDI fromat in the foramt of 5 chars.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD